package com.icontrols.oauth.model;

import java.util.Date;

public class JWTInfo {
	private String cmpIp;
	private String homeId;
	private String clientInfo;
//	private Date exp;
//	private Date iat;

	public JWTInfo() {
		super();
	}

	public String getClientInfo() {
		return clientInfo;
	}

	public void setClientInfo(String clientInfo) {
		this.clientInfo = clientInfo;
	}

	public String getCmpIp() {
		return cmpIp;
	}

	public void setCmpIp(String cmpIp) {
		this.cmpIp = cmpIp;
	}

	public String getHomeId() {
		return homeId;
	}

	public void setHomeId(String homeId) {
		this.homeId = homeId;
	}

	public JWTInfo(String cmpIp, String homeId, String clientInfo) {
		super();
		this.cmpIp = cmpIp;
		this.homeId = homeId;
		this.clientInfo = clientInfo;
	}

	@Override
	public String toString() {
		return "JWTInfo [cmpIp=" + cmpIp + ", homeId=" + homeId + ", clientInfo=" + clientInfo + "]";
	}

}
